<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

class cms_model_bookmarks{

	function __construct(){
        $this->inDB   = cmsDatabase::getInstance();
    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function install(){

        return true;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function getUserBylogin($login = ''){
				
		$inUser = cmsUser::getInstance();
		
		$user   = array();
				
		if ($inUser->login == $login) { 
		
			$user['id'] 		= $inUser->id;
			$user['login'] 		= $login;
			$user['nickname'] 	= $inUser->nickname;
		
		} else {
				
			$user = $this->inDB->get_fields('cms_users', "login = '$login'", 'id, nickname, login');
        
		}
        
		if (!$user){ return false; }

        return $user;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function getUserBookmarks($user_id, &$total, $page = 1, $perpage = 10, $orderby, $orderto){

		$total  = $this->inDB->rows_count('cms_user_zakladki', "user_id = '$user_id'");
		if(!$total) { return false; }

		$sql    = "SELECT * FROM cms_user_zakladki WHERE user_id = '$user_id' ";
		$sql   .= " ORDER BY ".$orderby." ".$orderto." \n";
		$sql   .= "LIMIT ".(($page-1)*$perpage).", $perpage";
			
		$result = $this->inDB->query($sql);
		
		if ($this->inDB->num_rows($result)){
			$zakls = array();
			while ($zakl = $this->inDB->fetch_assoc($result)){
				$zakl['date']  = cmsCore::dateDiffNow($zakl['date']);
				$zakl['image'] = $zakl['target'].'.png';
				$zakls[]      = $zakl;
			}
		}
        
		if (!$zakls){ return false; }

        return $zakls;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function getBookmarkById($id){

		$zakl = $this->inDB->get_fields('cms_user_zakladki', "id = '$id'", '*');
        
		if (!$zakl){ return false; }

        return $zakl;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function isBookmarkByHref($user_id, $href){

		$is_zakl = $this->inDB->rows_count('cms_user_zakladki', "user_id = '$user_id' AND href = '{$href}'");

        return $is_zakl ? true : false;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function addBookmark($item){
		
		if (!$item){ return false; }
		
		$item['description'] = $this->inDB->escape_string(stripslashes(str_replace(array('\r', '\n'), ' ', $item['description'])));
		$item['title']       = $this->inDB->escape_string(stripslashes(str_replace(array('\r', '\n'), ' ', $item['title'])));

        $sql = "INSERT INTO cms_user_zakladki (user_id, title, href, target_id, target, description)
                VALUES ('{$item['user_id']}', '{$item['title']}', '{$item['href']}', '{$item['target_id']}',
                        '{$item['target']}', '{$item['description']}')";
        
        $this->inDB->query($sql);

        return true;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function deleteBookmark($id){
		
		if (!$id){ return false; }

		$this->inDB->query("DELETE FROM cms_user_zakladki WHERE id = '$id' LIMIT 1");

        return true;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

}